---
name: .NET MAUI - Local notifications
description: "This sample demonstrates how to implement local notifications in a .NET MAUI app."
page_type: sample
languages:
- csharp
- xaml
products:
- dotnet-maui
urlFragment: platformintegration-local-notifications
---

# Local notifications

Local notifications are alerts sent by apps installed on a device. Local notifications are often used for features such as:

- Calendar events
- Reminders
- Location-based triggers

Each platform requires its own native code implementation to create, display, and consume local notifications. However, each platform implementation can be abstracted at the cross-platform layer so that there's a consistent API to send, schedule, and receive local notifications in a .NET Multi-platform App UI (.NET MAUI) app.

This sample demonstrates how to create and use a cross-platform interface to send and receive local notifications in a .NET MAUI app.

For more information about this sample, see [Local notifications](https://learn.microsoft.com/dotnet/maui/platform-integration/local-notifications).
