---
name: .NET MAUI - Platform integration
description: This sample demonstrates how to use cross-platform APIs for common device features.
page_type: sample
languages:
- csharp
- xaml
products:
- dotnet-maui
urlFragment: platformintegration-essentials
---

# Platform integration

Each platform that .NET Multi-platform App UI (.NET MAUI) supports offers unique operating system and platform APIs that you can access from C#. .NET MAUI provides cross-platform APIs to access much of this platform functionality, which includes access to sensors, accessing information about the device an app is running on, checking network connectivity, storing data securely, and initiating browser-based authentication flows.

This sample demonstrates the following functionality:

- `Microsoft.Maui.ApplicationModel` namespace:
  - App actions
  - App information
  - Browser
  - Launcher
  - Main thread
  - Maps
  - Permissions
  - Version tracking
- `Microsoft.Maui.ApplicationModel.Communication` namespace:
  - Contacts
  - Email
  - Networking
  - Phone dialer
  - SMS (messaging)
  - Web authenticator
- `Microsoft.Maui.ApplicationModel.DataTransfer` namespace:
  - Clipboard
  - Share files and text
- `Microsoft.Maui.Devices` namespace:
  - Battery
  - Device display
  - Device information
  - Device sensors
  - Flashlight
  - Geocoding
  - Geolocation
  - Haptic feedback
  - Vibration
- `Microsoft.Maui.Media` namespace:
  - Media picker
  - Screenshot
  - Text-to-speech
  - Unit converters
- `Microsoft.Maui.Storage` namespace:
  - File picker
  - File system helpers
  - Preferences
  - Secure storage

For more information about the sample see [Platform integration](https://learn.microsoft.com/dotnet/maui/platform-integration/).
