---
name: .NET MAUI - Brushes
description: This sample demonstrates how to paint an area with a .NET MAUI brush.
page_type: sample
languages:
- csharp
- xaml
products:
- dotnet-maui
urlFragment: userinterface-brushes
---

# Brushes

A .NET Multi-platform App UI (.NET MAUI) brush enables you to paint an area, such as the background of a control, using different approaches.

The `Brush` class is an abstract class that paints an area with its output. Classes that derive from `Brush` describe different ways of painting an area. The following list describes the different brush types available in .NET MAUI:

- `SolidColorBrush`, which paints an area with a solid color.
- `LinearGradientBrush`, which paints an area with a linear gradient.
- `RadialGradientBrush`, which paints an area with a radial gradient.

This sample demonstrates how to paint areas with .NET MAUI brushes.

For more information about this sample, see [.NET MAUI Brushes](https://docs.microsoft.com/dotnet/maui/user-interface/brushes/).
