---
name: .NET MAUI - Customize a handler
description: This sample demonstrates how to customize a .NET MAUI handler.
page_type: sample
languages:
- csharp
- xaml
products:
- dotnet-maui
urlFragment: userinterface-customizehandler
---

# Customize a handler

.NET Multi-platform App UI (.NET MAUI) provides a collection of controls that can be used to display data, initiate actions, indicate activity, display collections, pick data, and more. Each control has an interface representation, that abstracts the control. Cross-platform controls that implement these interfaces are known as *virtual views*. *Handlers* map these virtual views to native views on each platform, and are responsible for creating the underlying native view, and mapping the cross-platform view API to the native view API.

This sample demonstrates how to customize a .NET MAUI handler.

For more information about this sample, see [Customize .NET MAUI controls with handlers](https://docs.microsoft.com/dotnet/maui/user-interface/handlers/customize/).
