# .NET MAUI Samples

Samples built with .NET Multi-platform App UI (.NET MAUI).

[.NET MAUI](https://dot.net/maui) is a cross-platform framework for creating mobile and desktop apps with C# and XAML. Using .NET MAUI, you can develop apps that can run on Android, iOS, iPadOS, macOS, and Windows from a single shared codebase.

## Official Samples

Official samples can be accessed via the [Samples browser](https://docs.microsoft.com/samples/browse/?expanded=dotnet&products=dotnet-maui).

Sample highlights include:

* [.NET eShop Reference Application - "Northern Mountains"](https://github.com/dotnet/eShop)
* [Point of Sale](8.0/Apps/PointOfSale)
* [Weather '21 App](8.0/Apps/WeatherTwentyOne)
* [Calculator App](8.0/Apps/Calculator)
* [.NET Podcasts App](https://github.com/microsoft/dotnet-podcasts)
* [Navigation Samples](8.0/Navigation)
* [Beginner's Series Task App Sample](8.0/Beginners-Series)

## Community Samples

* [.NET MAUI Showcase](https://github.com/jsuarezruiz/dotnet-maui-showcase)
* [Awesome .NET MAUI](https://github.com/jsuarezruiz/awesome-dotnet-maui)

## .NET MAUI Links

* [.NET MAUI Website](https://dotnet.microsoft.com/apps/maui)
* [.NET MAUI Documentation](https://docs.microsoft.com/dotnet/maui)
* [.NET MAUI Blog](https://devblogs.microsoft.com/dotnet/category/maui/)
* [.NET MAUI GitHub](https://github.com/dotnet/maui)

## .NET Foundation

There are many .NET related projects on GitHub.

- [.NET home repo](https://github.com/Microsoft/dotnet) - links to hundreds of .NET projects, from Microsoft and the community.
- [ASP.NET Core home](https://docs.microsoft.com/aspnet/core/) - the best place to start learning about ASP.NET Core.

This project has adopted the code of conduct defined by the [Contributor Covenant](http://contributor-covenant.org/) to clarify expected behavior in our community. For more information, see the [.NET Foundation Code of Conduct](http://www.dotnetfoundation.org/code-of-conduct).

## License

.NET (including the maui-samples repo) is licensed under the [MIT](LICENSE) license.
